<?php

namespace App\Http\Controllers;

use App\Models\OneSignalConfiguration;
use App\Repositories\OneSignalConfigurationRepository;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Laracasts\Flash\Flash;

class OneSignalConfigurationController extends Controller
{

    /**
     * @param OneSignalConfigurationRepository $oneSignalConfigurationRepo
     */
    public function __construct(OneSignalConfigurationRepository $oneSignalConfigurationRepo)
    {
        $this->oneSignalConfigurationRepo = $oneSignalConfigurationRepo;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = OneSignalConfiguration::pluck('value', 'key')->toArray();
        return view('one_signal_notification.configuration.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }


    /**
     * @param Request $request
     *
     *
     * @return RedirectResponse
     */
    public function store(Request $request)
    {
        $input = $this->oneSignalConfigurationRepo->store($request->all());

        Flash::success('One Signal Configuration Updated Successfully');
        return Redirect::back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
